<template lang="html">
  <div class="modal is-active">
    <div class="modal-background">

    </div>
    <div class="modal-content dialog-box">
      <div class="box">
        <div class="has-text-centered subtitle">
          <slot>Are you sure?</slot>
        </div>
        <div class="buttons is-centered">
          <span class="button" @click.stop="$emit('close')">Cancel</span>
          <span class="button is-danger" @click.stop="$emit('action')">Yes</span>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
}
</script>

<style lang="scss" scoped="">
  .dialog-box {
    max-width: 300px;
  }
</style>
